Bug 116253 - configuration file for logrotate uses wrong filename for vsftpd log
configuration file for logrotate uses wrong filename for vsftpd log
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: vsftpd (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-19 10:44 EST by Victor Ashik
Modified: 2014-03-16 22:42 EDT (History)
2 users (show)

See Also:
Fixed In Version: 1.2.1-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-19 17:18:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Victor Ashik 2004-02-19 10:44:12 EST
Description of problem:

In RHEL3 default filename for log file of vsftpd is /var/log/xferlog
but /etc/logrotate.d/vsftpd.log references to it's original name:
/var/log/vsftpd.log

So, in default configuration log does not get rotated.

Version-Release number of selected component (if applicable):

vsftpd-1.2.0-4


How reproducible:

Always


Steps to Reproduce:
1. Install RHEL3 with vsftpd
2. Check contents of /etc/logrotate.d/vsftpd.log
3.
  
Actual results:

log file /var/log/xferlog does not get rotated.

Expected results:

rotation of that file

Additional info:
Comment 1 James Juran 2004-05-13 16:15:30 EDT
Bug still present in vsftpd-1.2.1-5.
Comment 2 Bill Nottingham 2004-05-19 17:18:55 EDT
Will be fixed in the next RHEL release.

Note You need to log in before you can comment on or make changes to this bug.